Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network240.167.2.0/23
Usable hosts510
Subnet mask255.255.254.0
Addresses512
Network address
240.167.2.0
Broadcast address
240.167.3.255
First usable
240.167.2.1
Last usable
240.167.3.254
Usable hosts
510 (512 less the network and broadcast addresses)
Subnet mask
255.255.254.0
Wildcard mask
0.0.1.255 (Cisco ACLs, OSPF)
Prefix length
/23
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex F0A70200 · Integer 4037476864 to 4037477375
Reverse DNS zones
2.167.240.in-addr.arpa
3.167.240.in-addr.arpa
/23 is not on a 8-bit boundary, so it takes 2 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11110000.10100111.00000010.00000000240.167.2.0
Subnet mask11111111.11111111.11111110.00000000255.255.254.0
Network11110000.10100111.00000010.00000000240.167.2.0
Broadcast11110000.10100111.00000011.11111111240.167.3.255
Split into smaller subnets/29

240.167.2.0/23 makes 64 subnets of /29.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1240.167.2.0/29240.167.2.1 to 240.167.2.6240.167.2.76
2240.167.2.8/29240.167.2.9 to 240.167.2.14240.167.2.156
3240.167.2.16/29240.167.2.17 to 240.167.2.22240.167.2.236
4240.167.2.24/29240.167.2.25 to 240.167.2.30240.167.2.316
5240.167.2.32/29240.167.2.33 to 240.167.2.38240.167.2.396
6240.167.2.40/29240.167.2.41 to 240.167.2.46240.167.2.476
7240.167.2.48/29240.167.2.49 to 240.167.2.54240.167.2.556
8240.167.2.56/29240.167.2.57 to 240.167.2.62240.167.2.636
9240.167.2.64/29240.167.2.65 to 240.167.2.70240.167.2.716
10240.167.2.72/29240.167.2.73 to 240.167.2.78240.167.2.796
11240.167.2.80/29240.167.2.81 to 240.167.2.86240.167.2.876
12240.167.2.88/29240.167.2.89 to 240.167.2.94240.167.2.956
13240.167.2.96/29240.167.2.97 to 240.167.2.102240.167.2.1036
14240.167.2.104/29240.167.2.105 to 240.167.2.110240.167.2.1116
15240.167.2.112/29240.167.2.113 to 240.167.2.118240.167.2.1196
16240.167.2.120/29240.167.2.121 to 240.167.2.126240.167.2.1276
17240.167.2.128/29240.167.2.129 to 240.167.2.134240.167.2.1356
18240.167.2.136/29240.167.2.137 to 240.167.2.142240.167.2.1436
19240.167.2.144/29240.167.2.145 to 240.167.2.150240.167.2.1516
20240.167.2.152/29240.167.2.153 to 240.167.2.158240.167.2.1596
21240.167.2.160/29240.167.2.161 to 240.167.2.166240.167.2.1676
22240.167.2.168/29240.167.2.169 to 240.167.2.174240.167.2.1756
23240.167.2.176/29240.167.2.177 to 240.167.2.182240.167.2.1836
24240.167.2.184/29240.167.2.185 to 240.167.2.190240.167.2.1916
25240.167.2.192/29240.167.2.193 to 240.167.2.198240.167.2.1996
26240.167.2.200/29240.167.2.201 to 240.167.2.206240.167.2.2076
27240.167.2.208/29240.167.2.209 to 240.167.2.214240.167.2.2156
28240.167.2.216/29240.167.2.217 to 240.167.2.222240.167.2.2236
29240.167.2.224/29240.167.2.225 to 240.167.2.230240.167.2.2316
30240.167.2.232/29240.167.2.233 to 240.167.2.238240.167.2.2396
31240.167.2.240/29240.167.2.241 to 240.167.2.246240.167.2.2476
32240.167.2.248/29240.167.2.249 to 240.167.2.254240.167.2.2556
33240.167.3.0/29240.167.3.1 to 240.167.3.6240.167.3.76
34240.167.3.8/29240.167.3.9 to 240.167.3.14240.167.3.156
35240.167.3.16/29240.167.3.17 to 240.167.3.22240.167.3.236
36240.167.3.24/29240.167.3.25 to 240.167.3.30240.167.3.316
37240.167.3.32/29240.167.3.33 to 240.167.3.38240.167.3.396
38240.167.3.40/29240.167.3.41 to 240.167.3.46240.167.3.476
39240.167.3.48/29240.167.3.49 to 240.167.3.54240.167.3.556
40240.167.3.56/29240.167.3.57 to 240.167.3.62240.167.3.636
41240.167.3.64/29240.167.3.65 to 240.167.3.70240.167.3.716
42240.167.3.72/29240.167.3.73 to 240.167.3.78240.167.3.796
43240.167.3.80/29240.167.3.81 to 240.167.3.86240.167.3.876
44240.167.3.88/29240.167.3.89 to 240.167.3.94240.167.3.956
45240.167.3.96/29240.167.3.97 to 240.167.3.102240.167.3.1036
46240.167.3.104/29240.167.3.105 to 240.167.3.110240.167.3.1116
47240.167.3.112/29240.167.3.113 to 240.167.3.118240.167.3.1196
48240.167.3.120/29240.167.3.121 to 240.167.3.126240.167.3.1276
49240.167.3.128/29240.167.3.129 to 240.167.3.134240.167.3.1356
50240.167.3.136/29240.167.3.137 to 240.167.3.142240.167.3.1436
51240.167.3.144/29240.167.3.145 to 240.167.3.150240.167.3.1516
52240.167.3.152/29240.167.3.153 to 240.167.3.158240.167.3.1596
53240.167.3.160/29240.167.3.161 to 240.167.3.166240.167.3.1676
54240.167.3.168/29240.167.3.169 to 240.167.3.174240.167.3.1756
55240.167.3.176/29240.167.3.177 to 240.167.3.182240.167.3.1836
56240.167.3.184/29240.167.3.185 to 240.167.3.190240.167.3.1916
57240.167.3.192/29240.167.3.193 to 240.167.3.198240.167.3.1996
58240.167.3.200/29240.167.3.201 to 240.167.3.206240.167.3.2076
59240.167.3.208/29240.167.3.209 to 240.167.3.214240.167.3.2156
60240.167.3.216/29240.167.3.217 to 240.167.3.222240.167.3.2236
61240.167.3.224/29240.167.3.225 to 240.167.3.230240.167.3.2316
62240.167.3.232/29240.167.3.233 to 240.167.3.238240.167.3.2396
63240.167.3.240/29240.167.3.241 to 240.167.3.246240.167.3.2476
64240.167.3.248/29240.167.3.249 to 240.167.3.254240.167.3.2556

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses